
Name:	 gpa
Summary: Graphical user interface for GnuPG
Version: 0.8.0
Release: 2%{?dist}

License: GPLv2+
Group:   Applications/System
URL:	 http://gpa.wald.intevation.org/
Source0: http://wald.intevation.org/frs/download.php/491/gpa-%{version}.tar.bz2
Source1: http://wald.intevation.org/frs/download.php/492/gpa-%{version}.tar.bz2.sig
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch1:   gpa-0.7.3-keyservers.patch
Patch2:   gpa-0.7.6-desktop.patch

BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: gnupg
BuildRequires: gpgme-devel
BuildRequires: gtk2-devel
BuildRequires: libassuan-devel
BuildRequires: zlib-devel

%description
GNU Privacy Assistant (GPA) is a graphical frontend for the GNU
Privacy Guard (GnuPG).  GPA can be used to encrypt, decrypt, and sign
files, to verify signatures and to manage the private and public keys.


%prep
%setup -q

# FIXME, or provide default conf
#patch1 -p1 -b .keyservers
%patch2 -p1 -b .dt


%build
%configure

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

install -p -m644 -D gpa.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/gpa.png
rm -f $RPM_BUILD_ROOT%{_datadir}/pixmaps/gpa.png

%find_lang %{name}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/gpa.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README* THANKS TODO VERSION
%{_bindir}/*
%{_datadir}/gpa/
%{_datadir}/applications/gpa.desktop
%{_datadir}/icons/hicolor/*/*/*


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jun 20 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.8.0-1
- gpg-0.8.0
- optimize scriptlets

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon May 05 2008 Rex Dieter <rdieter@fedoraproject.org> - 0.7.6-5
- BR: gnupg (#440849)
- validate .desktop file

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.7.6-4
- Autorebuild for GCC 4.3

* Sat Aug 25 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.7.6-3
- respin (BuildID)

* Thu Aug 02 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.7.6-2
- License: GPLv2+

* Thu May 24 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.7.6-1
- gpa-0.7.6

* Mon Feb 26 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.7.5-1
- gpa-0.7.5

* Thu Sep 07 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.7.4-2
- fc6 respin

* Tue Jul 25 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.7.4-1
- 0.7.4

* Thu May 11 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.7.3-2
- cleanup .dt patch
- update URL:, Source: tags

* Wed Mar 22 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.7.3-1
- 0.7.3

* Mon Feb 27 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.7.0-5
- follow fdo icon spec
- drop superfluous BR: gnupg

* Thu May 12 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.7.0-4
- Rebuild.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.7.0-3
- rebuilt

* Tue Nov 25 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.7.0-0.fdr.2
- Include fix against hang at startup when no private key exists (bug 864).

* Thu Oct 23 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.7.0-0.fdr.1
- Update to 0.7.0.
- Spec file and desktop entry cleanups.
- Use upstream icon for desktop entry.
- Update description.

* Tue Mar 25 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.1-0.fdr.3
- Fix icon in desktop entry (#64).
- Don't include INSTALL in %%doc.

* Sun Mar 23 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.1-0.fdr.2
- BuildRequire gnupg >= 1.2.1-3 for LDAP and HKP support.
- Add icon for the desktop entry (#64).

* Sat Mar 22 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.1-0.fdr.1
- Update to current Fedora guidelines.

* Wed Feb 12 2003 Warren Togami <warren@togami.com> 0.6.1-1.fedora.2
- Add BuildRequires zlib-devel

* Sun Feb  9 2003 Ville Skyttä <ville.skytta at iki.fi> - 0.6.1-1cr
- First Fedora release.
